Bug 461429 - Review Request: zsync - Incremental file-transfer program without special server
Review Request: zsync - Incremental file-transfer program without special server
Status: CLOSED DUPLICATE of bug 478617
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-07 17:06 EDT by Ian Burrell
Modified: 2009-04-28 03:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-08 15:47:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Burrell 2008-09-07 17:06:25 EDT
Spec URL: http://znark.com/fedora/zsync.spec
SRPM URL: http://znark.com/fedora/zsync-0.5-1.fc9.src.rpm
Description: zsync is a file transfer program. It allows you to download a file from a remote web server, where you have a copy of an older version of the file on
your computer already. zsync downloads only the new parts of the file. It uses
the same algorithm as rsync.
Comment 1 John Anderson 2008-09-15 21:49:17 EDT
Only minor issue I see:

rpmlint /var/lib/mock//fedora-9-i386/result/*rpm
zsync.i386: W: file-not-utf8 /usr/share/doc/zsync-0.5/README

Can be fixed with iconv

Otherwise builds and runs well for me on fedora 9 and rawhide.
Comment 2 John Anderson 2008-10-22 21:58:40 EDT
Hello again, I'm doing a preview. This is not a full review, as I am not sponsored yet, but it should help get it in shape.

FIX - MUST: rpmlint, zsync.i386: W: file-not-utf8 /usr/share/doc/zsync-0.5/README
OK - MUST: package named according to the Package Naming Guidelines
OK - MUST: package %{name} matches spec in the format %{name}.spec
FIX - MUST: Packaging guidlines, zlib is in the source, see http://fedoraproject.org/wiki/Packaging/Guidelines#Duplication_of_system_libraries
OK - MUST: Fedora approved license
FIX - MUST: The License field must match the actual license. It looks like they're actually using Artistic 2.0
OK - MUST: package includes the text of the license(s) in in %doc.
OK - MUST: The spec file must be written in American English.
OK - MUST: Spec file is legible
OK - MUST: The sources used to build the package must match the upstream source 08beaf3fa95f16d8a2db2f7f3ea21196
OK - MUST: The package must successfully compile and build into binary rpms on at least one supported architecture.
OK - MUST: No excludes needed
FIX - MUST: Dependencies, add zlib to BuildRequires when you patch it to not use the one in the source
OK - MUST: The spec file MUST handle locales properly.
OK - MUST: The package is not designed to be relocatable
OK - MUST: A package must own all directories that it creates.
OK - MUST: A package must not contain any duplicate files in the %files listing.
OK - MUST: Permissions on files must be set properly.
OK - MUST: Each package must have a %clean section
OK - MUST: Each package must consistently use macros
OK - MUST: The package contains code
OK - MUST: No large documentation files for a -doc subpackage
OK - MUST: Files in %doc don't affect the runtime of the application
OK - MUST: The package does not contain any .la libtool archives ( once zlib is gone )
OK - MUST: Console app, no .desktop needed
OK - MUST: Packages must not own files or directories already owned by other packages.
OK - MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} ( or $RPM_BUILD_ROOT ). See Prepping BuildRoot For %install for details.
OK - MUST: All filenames in the package are valid UTF-8
OK - SHOULD: Builds in mock
OK - SHOULD: The package compiles on all arch
OK - SHOULD: Package runs as described

So it still needs a little work.

Action items:
  - Can you please check out the license and confirm that it is indeed artistic 2.0?
  - The one warning on rpmlint as mentioned before
  - You would have to take care of the zlib situation to get this to pass review

Hope this helps! Once again, not a full review.
Comment 3 Christoph Wickert 2008-10-25 11:41:57 EDT
@ Debarshi:
Sorry for "stealing" your review, but I promised to finish John's pre-review for educational purposes before I sponsor him. I hope you don't mind.

@ John:
Sorry I missed your review because you CC'ed me after you did it. Most things look good so far, nevertheless here is a complete re-review. Here we co

REVIEW FOR 180523f1a837f61076563cef5929f72d  zsync-0.5-1.fc9.src.rpm
FIX - MUST: rpmlint /var/lib/mock/fedora-rawhide-i386/result/zsync-*
zsync.i386: W: file-not-utf8 /usr/share/doc/zsync-0.5/README
3 packages and 0 specfiles checked; 0 errors, 1 warnings.
Although this is minor please fix with iconv as John said in comment #1

OK - MUST: The package is named according to the Package Naming Guidelines
OK - MUST: The spec file name matches the base package %{name}, in the format %{name}.spec
FIX - MUST: The package does not meet the Packaging Guidelines
    - the package builds against the zlib in the source, see
http://fedoraproject.org/wiki/Packaging/Guidelines#Duplication_of_system_libraries
    - The timestamp of the source is no preserved, see
http://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
    - NEWS is missing from %doc

OK - MUST: The package is licensed with a Fedora approved license (Artistic License v2) and meets the Licensing Guidelines
FIX - MUST: The License field in the package spec file does not match the actual license. Should be "Artistic 2.0+" instead of "Artistic clarified"
(+ comes from the "or any later version..."-statement in the headers of the sources)

OK - MUST: The source package includes the text of the license in its own file, and it is included in %doc
OK - MUST: The spec file is written in American English
OK - MUST: The spec file for the package is legible
OK - MUST: The sources used to build the package matches the upstream source by md5sum 08beaf3fa95f16d8a2db2f7f3ea21196
OK - MUST: The package successfully compiles and builds into binary rpms on i386
OK - MUST: The package has no known ExcludeArches
OK - MUST: No build dependencies except for those from the exceptions section of the Packaging Guidelines
OK - MUST: No locales that need to be handled with %find_lang
OK - MUST: No shared library files in any of the dynamic linker's default paths, no need to call ldconfig in %post and %postun
OK - MUST: The package is not designed to be relocatable
OK - MUST: The package owns all directories that it creates (only %{_docdir}/zsync-0.5)
OK - MUST: The package does not contain any duplicate files in the %files listing
OK - MUST: Permissions on files must be set properly, %files section includes a %defattr(...) line
OK - MUST: The package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
FIX - MUST: The package does not consistently use macros. Use 
    http://zsync.moria.org.uk/download/zsync-%{version}.tar.bz2 as SourceURL
    because then you only need to change the version tag on updates

OK - MUST: The package contains code, no permissable content
OK - MUST: No large documentation files for a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
OK - MUST: No header files that need to be in a -devel package
OK - MUST: No static libraries that need a -static package
OK - MUST: Packages does not contain pkgconfig(.pc) files must, no need to require pkgconfig
OK - MUST: The Package does not contain any .la libtool archives
OK - MUST: No GUI application, no need for a %{name}.desktop file
OK - MUST: The packages does not own files or directories already owned by other packages
OK - MUST: The package runs rm -rf $RPM_BUILD_ROOT at the beginning of %install
OK - MUST: All filenames in the package are be valid UTF-8
OK - SHOULD: The package builds in mock
OK - SHOULD: The package should compile and build into binary rpms on all supported architectures
OK - SHOULD: The package functions as described
OK - SHOULD: The package contains the latest stable release of the application

NEEWSWORK

Please fix all issued and then I will approve the package.
Comment 4 Debarshi Ray 2008-10-27 03:33:17 EDT
(In reply to comment #3)
> @ Debarshi:
> Sorry for "stealing" your review, but I promised to finish John's pre-review
> for educational purposes before I sponsor him. I hope you don't mind.

No problem. I got a bit busy with fixing some of my packages before the freeze deadline, so it is good that you took it. :-)
Comment 5 Christoph Wickert 2008-11-27 05:51:08 EST
Ian, is there anything we can do for you to get this review going again?
Comment 6 manuel wolfshant 2009-01-02 15:23:24 EST
*** Bug 478617 has been marked as a duplicate of this bug. ***
Comment 7 manuel wolfshant 2009-01-02 15:25:43 EST
Hopefully Ian will react soon, otherwise we might as well close this bug and reopen #478617
Comment 8 Christoph Wickert 2009-03-08 15:47:18 EDT
Closing this bug now in favor of bug # 478617 because Fabian still wants to maintain the package.

*** This bug has been marked as a duplicate of bug 478617 ***

Note You need to log in before you can comment on or make changes to this bug.